Skip to content
PATCH /unified/ticketing/comments/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

ticket_idstring

The unique identifier for a ticket

1 supported1 required
Help Scout
required
ticketobject

Set either ticket or collections.

References: Tickets → id
5 supported1 required
Zoho Projects
required
Jira
supported
Pivotal Tracker
supported
Todoist
supported
Wrike
supported
idstring
required·

The unique identifier for a ticket

collections

Collection with type epic is required.

1 supported
Pivotal Tracker
supported
idstring

The unique identifier for a collection.

organizationobject
1 supported
Zoho Projects
supported
idstring

The unique identifier for a organization.

workspace
1 supported1 required
Zoho Projects
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

bodystring

The body of the comment

5 supported
Jira
supported
Pivotal Tracker
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
custom_fields
1 supported
Quickbase for Project Management
supported
is_privateboolean

Whether the comment is private or not

1 supported
Jira
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

ticketobject

The ticket to which the comment belongs

References: Tickets → id
5 supported1 required
Jira
required
Pivotal Tracker
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
idstring
required·

The unique identifier for a ticket

Response Body

idstring
required·

The unique identifier for a comment

7 supported
Help Scout
supported
Jira
supported
Pivotal Tracker
supported
Quickbase for Project Management
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
attachmentsobject[]

The attachments of the comment

3 supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
content_typestring

The content type of the attachment

created_atstring · date-time

The time when the attachment was created

file_namestring

The attachment's name.

file_urlstring

The URL to download the attachment

idstring

The unique identifier for the attachment

uploaded_byobject

The user who uploaded the attachment

2 properties
idstring

The user who uploaded the attachment

namestring

The user who uploaded the attachment

uploaded_by_typestring

The type of the user who uploaded the attachment

authorobject

The id of the user or contact who created the comment

4 supported
Jira
supported
Pivotal Tracker
supported
Wrike
supported
Zoho Projects
supported
idstring
required·

The id of the user or contact who created the comment

typestring
required·

Type of the author

Possible values:
usercontactsystem
namestring

The name of the user or contact who created the comment

usernamestring

The username of the user or contact who created the comment

bodystring

The body of the comment

5 supported
Jira
supported
Pivotal Tracker
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
channelobject

The medium through which the comment was sent.

idstring

The unique identifier for the channel

namestring

The name of the channel

typestring

The type of the channel

created_atstring · date-time

The date and time when the comment was created

5 supported
Jira
supported
Pivotal Tracker
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
etagstring

The unique identifier for the specific version of the resource.

html_bodystring

The body of the comment in HTML format

1 supported
Jira
supported
is_internalboolean

Whether the comment is internal. True for internal notes left by users.

is_privateboolean

Whether the comment is private or not

1 supported
Jira
supported
receiverobject

The id of the user or contact who is receiving the comment

idstring
required·

The id of the user or contact who receiving the comment

typestring
required·

Type of the receiver

Possible values:
usercontactsystem
namestring

The name of the user or contact who receiving the comment

remote_dataRecord<string, any>

Raw data returned from the remote API call.

ticketobject

The ticket to which the comment belongs

References: Tickets → id
5 supported
Jira
supported
Pivotal Tracker
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
idstring
required·

The unique identifier for a ticket

updated_atstring · date-time

The date and time when the comment was updated

4 supported
Jira
supported
Pivotal Tracker
supported
Wrike
supported
Zoho Projects
supported
curl -X PATCH 'https://api.truto.one/unified/ticketing/comments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "body": "your_body",
  "ticket": {},
  "is_private": true,
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "body": "your_body",
  "ticket": {},
  "is_private": true,
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/comments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/comments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "body": "your_body",
    "ticket": {},
    "is_private": True,
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'ticketing',
  'comments',
  '<resource_id>',
  {
  "body": "your_body",
  "ticket": {},
  "is_private": true,
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "ticketing",
        "comments",
        "<resource_id>",
        {
        "body": "your_body",
        "ticket": {},
        "is_private": True,
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())